Subject: Re: bug#40900: Add face for function params in info

From: Eli Zaretskii <[email-masked]>
Date: Wed, 09 Sep 2020 18:03:11 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Wed, 9 Sep 2020 06:22:25 -0700
> Cc: ndame <[email-masked]>, [email-masked]
> 
> > I think the challenge is to reliably identify the strings that are
> > function parameters.  Info files lack the markup that identifies
> > various symbols in the Texinfo sources, and the code which finds
> > function arguments must not err too much, or users will complain.
> 
> Isn't this therefore a limitation in Texinfo?  We could of course hack
> around it, but it sounds like it would risk being error-prone and hard
> to maintain.

It is a limitation of the Info format produced from Texinfo sources.
For example, HTML format produced from Texinfo still has markup, which
could be used for such features.